// defines OilFire
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_OILFIRE_GSH
#define INCLUDED_OILFIRE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_OilFire
{
	type fire
	life infinite
	rate 10
	
	// stream direction
	x	0
	y	-1
	z	0
	
	// particle colour
	red   1
	green 0.4
	blue  0.1
	alpha 1

	start scale	1.0
	end scale	0.3
	spin		10000
}

light Lit_OilFire
{
	red             4
	green           1.5
	blue            0.2
	specular red	1.5
	specular green	0.5
	specular blue	0
	range           6
}

role Rol_OilFire : Rol_PlacedObject
{
	shape Pgn_OilFire
	light Lit_OilFire
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_CARFIRE_GSH